Module java.desktop
Package javax.swing.plaf.metal

# Class MetalIconFactory.TreeFolderIcon

java.lang.Object
javax.swing.plaf.metal.MetalIconFactory.FolderIcon16
javax.swing.plaf.metal.MetalIconFactory.TreeFolderIcon

All Implemented Interfaces:
  `Serializable`, `Icon`

Enclosing class:
  `MetalIconFactory`

public static class MetalIconFactory.TreeFolderIcon extends MetalIconFactory.FolderIcon16

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

## Constructor Summary

Constructors
Constructor
Description
`TreeFolderIcon()`
Constructs a `TreeFolderIcon`.

## Method Summary

### Methods declared in class javax.swing.plaf.metal.MetalIconFactory.FolderIcon16

`getAdditionalHeight, getIconHeight, getIconWidth, getShift, paintIcon`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TreeFolderIcon

public TreeFolderIcon()
Constructs a `TreeFolderIcon`.